LootJS.modifiers((event) => {
    const armorBlacklist = [
        // Diamond
        Item.of('minecraft:diamond_helmet').ignoreNBT(), Item.of('minecraft:diamond_chestplate').ignoreNBT(), 
        Item.of('minecraft:diamond_leggings').ignoreNBT(), Item.of('minecraft:diamond_boots').ignoreNBT(),
        
        // Iron
        Item.of('minecraft:iron_helmet').ignoreNBT(), Item.of('minecraft:iron_chestplate').ignoreNBT(), 
        Item.of('minecraft:iron_leggings').ignoreNBT(), Item.of('minecraft:iron_boots').ignoreNBT(),
        
        // Chainmail
        Item.of('minecraft:chainmail_helmet').ignoreNBT(), Item.of('minecraft:chainmail_chestplate').ignoreNBT(), 
        Item.of('minecraft:chainmail_leggings').ignoreNBT(), Item.of('minecraft:chainmail_boots').ignoreNBT(),
        
        // Netherite
        Item.of('minecraft:netherite_helmet').ignoreNBT(), Item.of('minecraft:netherite_chestplate').ignoreNBT(), 
        Item.of('minecraft:netherite_leggings').ignoreNBT(), Item.of('minecraft:netherite_boots').ignoreNBT(),
        
        // Gold
        Item.of('minecraft:golden_helmet').ignoreNBT(), Item.of('minecraft:golden_chestplate').ignoreNBT(), 
        Item.of('minecraft:golden_leggings').ignoreNBT(), Item.of('minecraft:golden_boots').ignoreNBT()
    ];

    event.addLootTableModifier(/.*/)
        .removeLoot(armorBlacklist);
});